python-djangorestframework-gis_0.10.1-1_all.deb


Advertisement

Description

python-djangorestframework-gis - Geographic add-ons for Django REST Framework

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-djangorestframework-gis
Package version: 0.10.1
Package release: 1
Package architecture: all
Package type: deb
Installed size: 52 B
Download size: 15.69 KB
Official Mirror: archive.ubuntu.com
djangorestframework-gis extends the Django REST Framework to also handle geographic data as used by GeoDjango during serialization and deserialization. It provides the following features: * GeometryField: This field handles GeoDjango geometry fields, providing custom to_native and from_native methods for GeoJSON input/output. * GeoModelSerializer: This serializer updates the field_mapping dictionary to include field mapping of GeoDjango geometry fields to the above GeometryField. * GeoFeatureModelSerializer: GeoFeatureModelSerializer is a subclass of GeoModelSerializer which will output data in a format that is GeoJSON compatible. * InBBOXFilter: Filters a queryset to only those instances within a certain bounding box.

    Download

    Source package: djangorestframework-gis

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-djangorestframework-gis deb package:
      # sudo apt-get install python-djangorestframework-gis

    Files

    • /usr/lib/python2.7/dist-packages/djangorestframework_gis-0.10.1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/djangorestframework_gis-0.10.1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/djangorestframework_gis-0.10.1.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/djangorestframework_gis-0.10.1.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/__init__.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/apps.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/fields.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/filters.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/filterset.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/pagination.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/serializers.py
    • /usr/lib/python2.7/dist-packages/rest_framework_gis/tilenames.py
    • /usr/share/doc/python-djangorestframework-gis/README.rst.gz
    • /usr/share/doc/python-djangorestframework-gis/changelog.Debian.gz
    • /usr/share/doc/python-djangorestframework-gis/copyright

    Changelog

    2016-01-07 - Michael Fladischer <fladi@debian.org> djangorestframework-gis (0.10.1-1) unstable; urgency=low * New upstream release. * Add patch to disable import of local settings for tests. * Switch to pypi.debian.net for uscan and enable PGP signature download. * Include upstream signing key 308BD46E. * Remove patch to disable tests that only work with PostGIS as it has been merged by upstream.

    2015-12-11 - Michael Fladischer <fladi@debian.org> djangorestframework-gis (0.10.0-1) unstable; urgency=low * New upstream release. * Update patch that skips tests for spatialite to use unittest package import directly.

    2015-11-04 - Michael Fladischer <fladi@debian.org> djangorestframework-gis (0.9.6-1) unstable; urgency=medium * New upstream release. * Drop 0003-Assert-that-the-coordinates-are-approximately-equal-.patch as it was merged by upstream. * Clean egg-info files to aaloow two clean builds in a row.

    2015-10-27 - Michael Fladischer <fladi@debian.org> djangorestframework-gis (0.9.5-1) unstable; urgency=medium [ Brian May ] * New upstream release. [ Michael Fladischer ] * Add patch to fix failed test becasue of different floating point precision in coordinates between PostgreSQL and spatialite (Closes: #802757). * Remove lintian overrides for missing changelog files. Upstream provides one now.

    2015-09-01 - Michael Fladischer <fladi@debian.org> djangorestframework-gis (0.8-2) unstable; urgency=low * Provide separate Python3 package. * Use python-django-filters in Build-Depends and Depends. * Remove python-pyspatialite and python-pysqlite2 from Build-Depends. * Add lintian override for missing upstream changelog in Python3 package.

    2015-09-01 - Michael Fladischer <fladi@debian.org> djangorestframework-gis (0.8-1) unstable; urgency=medium * New upstream release. * Update debian/patches/spatialite.patch to work with libsqlite3-mod- spatialite (Closes: #793526). * Add skip_tests_spatialite.patch to skip unittests that are not supported by spatialite. * Make Depends and Build-Depends on python-djangorestframework versioned (>= 3.0.4). * Add libsqlite3-mod-spatialite to Build-Depends. * Remove spatialite-bin from Build-Depends. * Update Homepage field to the correct upstream location. * Update years in d/copyright. * Change my email address to fladi@debian.org.

    2014-10-12 - Michael Fladischer <FladischerMichael@fladi.at> djangorestframework-gis (0.7-1) unstable; urgency=low * Initial release (Closes: #764969).

    Advertisement
    Advertisement